Bug 129926 - please make cryptsetup statically linked and put it in /sbin
please make cryptsetup statically linked and put it in /sbin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cryptsetup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-14 07:37 EDT by Russell Coker
Modified: 2014-03-16 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 23:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to cryptsetup.spec that causes cryptsetup to be statically linked (389 bytes, patch)
2004-08-28 15:00 EDT, W. Michael Petullo
no flags Details | Diff

  None (edit)
Description Russell Coker 2004-08-14 07:37:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
I would like to use cryptsetup for creating encrypted block devices.  To do this in a useful manner requires that cryptsetup be available before most of the block devices are used (IE when only the root fs is mounted).  This means that the binary needs to be moved out of /usr, I think that /usr/sbin is the best location (/bin is not appropriate as a user who lacks administrative privs can't use it).

For an encrypted root file system we need to run cryptsetup from the initrd, so it needs to be statically linked.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
.

Additional info:
Comment 1 W. Michael Petullo 2004-08-28 15:00:32 EDT
Created attachment 103210 [details]
Patch to cryptsetup.spec that causes cryptsetup to be statically linked
Comment 2 Bill Nottingham 2004-08-31 02:00:08 EDT
Fixed in 0.1-3.
Comment 3 W. Michael Petullo 2004-09-01 22:02:42 EDT
0.1-3 still seems to contain a dynamically linked cryptsetup:

[root@imp permissions.d]# rpm -q cryptsetup
cryptsetup-0.1-3
[root@imp permissions.d]# ldd /sbin/cryptsetup 
	libdevmapper.so.1.00 => /lib/libdevmapper.so.1.00 (0x0fe70000)
	libc.so.6 => /lib/tls/libc.so.6 (0x0fd28000)
	/lib/ld.so.1 => /lib/ld.so.1 (0x30000000)

I'd like to reopen this bug but I am unable to.
Comment 4 Bill Nottingham 2004-09-01 22:05:53 EDT
Oops, that's what I get for misreading; 0.1-3 is just statically
linked for moving to the root fs.
Comment 5 W. Michael Petullo 2004-09-02 11:00:05 EDT
The patch I proposed in comment #1 should do it.  

Ideally, we should probably add a flag to the configure script that
turns on or off dynamically linking and get the patch up stream.
Comment 6 Bill Nottingham 2004-10-12 23:56:47 EDT
Fixed in -4.

Note You need to log in before you can comment on or make changes to this bug.